summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Guilherme Calandrini2015-10-16 14:39:06 +0200
committer Willy Sudiarto Raharjo2015-10-16 18:27:34 +0200
commiteeaa4452b7ca1806813b86e6a57888b63efa8bc0 (patch)
treea4dae8be14904f6641018eb905937d2867f8f7ba
parentaa23359bd48fcb54e1e738e5721c38835a8e8b9f (diff)
downloadslackbuilds-eeaa4452b7ca1806813b86e6a57888b63efa8bc0.tar.gz
multimedia/bino: Added (3D video player).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--multimedia/bino/README24
-rw-r--r--multimedia/bino/bino.SlackBuild110
-rw-r--r--multimedia/bino/bino.info10
-rw-r--r--multimedia/bino/glewexport.patch13
-rw-r--r--multimedia/bino/slack-desc19
5 files changed, 176 insertions, 0 deletions
diff --git a/multimedia/bino/README b/multimedia/bino/README
new file mode 100644
index 0000000000..746bf919ef
--- /dev/null
+++ b/multimedia/bino/README
@@ -0,0 +1,24 @@
+ bino (3D video player)
+
+Bino is a 3D video player with multi-display support.
+
+3D videos are more accurately called stereoscopic videos. Such videos
+have separate views for the left and right eye and thus allow depth
+perception through stereopsis.
+The left and right view of a stereoscopic video can be stored using
+different layouts. Bino supports all commonly used layouts.
+
+Requirements:
+ - libGLEW with mx support
+
+glew.SlackBuild fix:
+----------------------------------------------------------
+# patch wrong multiple definitions for compiling bino
+patch -p1 < $CWD/glewexport.patch
+
+make install.all GLEW_DEST=$PKG/usr || exit 1
+----------------------------------------------------------
+
+Notes: The glew-1.9.0 needs to be rebuild with install.all for install
+libGLEWmx. For compiling bino with glew-1.9.0 is required a patch "glewexport.patch".
+The glew-1.10.0 compiles without problems.
diff --git a/multimedia/bino/bino.SlackBuild b/multimedia/bino/bino.SlackBuild
new file mode 100644
index 0000000000..5945b4274f
--- /dev/null
+++ b/multimedia/bino/bino.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+# Slackware build script for bino3d
+
+# Copyright 2015 Guilherme Calandrini, Madrid, Spain
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=bino
+VERSION=${VERSION:-1.6.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --without-equalizer \
+ --without-liblircclient \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+rm -Rf $PKG/usr/info/dir $PKG/usr/share/info
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING README README.Linux $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/bino/bino.info b/multimedia/bino/bino.info
new file mode 100644
index 0000000000..e195d2e51c
--- /dev/null
+++ b/multimedia/bino/bino.info
@@ -0,0 +1,10 @@
+PRGNAM="bino"
+VERSION="1.6.1"
+HOMEPAGE="http://bino3d.org"
+DOWNLOAD="http://download.savannah.nongnu.org/releases/bino/bino-1.6.1.tar.xz"
+MD5SUM="59471d7eb3b6981a1e610f96a12ff47c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="%README% ffmpeg freealut libass"
+MAINTAINER="Guilherme Calandrini"
+EMAIL="g_calandrini@hotmail.es"
diff --git a/multimedia/bino/glewexport.patch b/multimedia/bino/glewexport.patch
new file mode 100644
index 0000000000..a85c4666ae
--- /dev/null
+++ b/multimedia/bino/glewexport.patch
@@ -0,0 +1,13 @@
+diff -up glew-1.9.0/include/GL/glxew.h.orig glew-1.9.0/include/GL/glxew.h
+--- glew-1.9.0/include/GL/glxew.h.orig 2012-08-06 17:59:08.000000000 +0200
++++ glew-1.9.0/include/GL/glxew.h 2013-05-23 17:29:09.712473195 +0200
+@@ -1393,7 +1393,7 @@ typedef int ( * PFNGLXVIDEORESIZESUNPROC
+ /* ------------------------------------------------------------------------- */
+
+ #ifdef GLEW_MX
+-#define GLXEW_FUN_EXPORT
++#define GLXEW_FUN_EXPORT GLEW_FUN_EXPORT
+ #define GLXEW_VAR_EXPORT
+ #else
+ #define GLXEW_FUN_EXPORT GLEW_FUN_EXPORT
+
diff --git a/multimedia/bino/slack-desc b/multimedia/bino/slack-desc
new file mode 100644
index 0000000000..5fbdd2c990
--- /dev/null
+++ b/multimedia/bino/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+bino: bino (3D video player)
+bino:
+bino: Bino is a 3D video player with multi-display support.
+bino:
+bino: 3D videos are more accurately called stereoscopic videos. Such videos
+bino: have separate views for the left and right eye and thus allow depth
+bino: perception through stereopsis.
+bino: The left and right view of a stereoscopic video can be stored using
+bino: different layouts. Bino supports all commonly used layouts.
+bino:
+bino: